# Class CIM_SAStaticAction
extends CIM_SAAction

SAStaticAction is the base class for both key exchange as well as IPsec actions that require no negotiation. It is a concrete class that can be aggregated with other subclasses of PolicyAction (such as NetworkPacketAction) into a PolicyRule, to describe how packets are handled throughout the lifetime of the Security Association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicyAction
|
+--CIM_SAAction
|
+--CIM_SAStaticAction

## Direct Known Subclasses

CIM_PreconfiguredSAAction

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | SAStaticAction is the base class for both key exchange as well as IPsec actions that require no negotiation. It is a concrete class that can be aggregated with other subclasses of PolicyAction (such as NetworkPacketAction) into a PolicyRule, to describe how packets are handled throughout the lifetime of the Security Association.
MappingStrings | string | IPSP Policy Model.IETF|SAStaticAction
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LifetimeSeconds | uint64 |

Description

string

LifetimeSeconds specifies how long the SA created from this action should be used/exist. A value of 0 means an infinite lifetime. A non-zero value is typically used in conjunction with alternate SAActions performed when there is a negotiation failure of some sort. Note: If the referenced SAStaticAction object IS-A PreconfiguredSAAction (that is associated to several SATransforms), then the actual lifetime of the Security Association will be the lesser of the value of this LifetimeSeconds property and of the value of the MaxLifetimeSeconds property of the associated SATransform.

MappingStrings | string | IPSP Policy Model.IETF|SAStaticAction.LifetimeSeconds
ModelCorrespondence | string | CIM_SecurityAssociationEndpoint.LifetimeSeconds
PUnit | string | second
Units | string | Seconds

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
CreationClassName | string | CIM_PolicyAction
Description | string | CIM_ManagedElement
DoActionLogging | boolean | CIM_PolicyAction
DoPacketLogging | boolean | CIM_SAAction
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PolicyActionName | string | CIM_PolicyAction
PolicyRuleCreationClassName | string | CIM_PolicyAction
PolicyRuleName | string | CIM_PolicyAction
SystemCreationClassName | string | CIM_PolicyAction
SystemName | string | CIM_PolicyAction
PolicyKeywords | string[] | CIM_Policy

## Class Methods